TTParserInternal::State Struct Reference

Internal: the state of a TTParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

MWAWDocument::DocumentType | m_type
| the file type More...
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font More...
std::map< int, MWAWEntry > | m_idPictEntryMap
| a map id->pictEntry More...
int | m_numberSpacesForTab
| number of space to used to replace tab (0: means keep tabs ) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a TTParser.

## Constructor & Destructor Documentation

TTParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int TTParserInternal::State::m_actPage

the actual page

int TTParserInternal::State::m_footerHeight

the footer height if known

int TTParserInternal::State::m_headerHeight

the header height if known

std::map<int,MWAWEntry> TTParserInternal::State::m_idPictEntryMap

a map id->pictEntry

int TTParserInternal::State::m_numberSpacesForTab

number of space to used to replace tab (0: means keep tabs )

int TTParserInternal::State::m_numPages

the number of page of the final document

std::map<long, MWAWFont > TTParserInternal::State::m_posFontMap

the map of id -> font

MWAWDocument::DocumentType TTParserInternal::State::m_type

the file type

The documentation for this struct was generated from the following file:

- TTParser.cxx